PCP-VERIFY(1)

NAME
pcp-verify - verify aspects of a PCP installation

SYNOPSIS
pcp verify [-a archive] [-h host] [-csvV?]

DESCRIPTION
pcp-verify inspects various aspects of a PCP collector installation and reports on whether it is configured correctly for certain modes of operation.

By default, pcp-verify checks that PMCD is running and no agents are in a failed state. These checks can be extended and refined using the command line options.

OPTIONS
The available command line options are:

-a archive, --archive=archive
    Use the archive for verification.

-c, --containers
    Verify the collector installation for monitoring containers.

-h host, --host=host
    Connect to the PMCD on host for verification.

-s, --secure
    Verify that the required components for encrypted communication are in place.

-v, --verbose
    Increase the verbosity, and report on each check as it is made. In the absence of any issues found, pcp-verify operates silently.

-V, --version
    Display version number and exit.

-?, --help
    Display usage message and exit.

DIAGNOSTICS
pcp-verify will exit with a non-zero status if it finds anything worth reporting, otherwise it is silent and returns zero.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1) and pcp(1).